.a-module-loading {
  position: fixed;
  z-index: 1000;
  top: 0;
  width: 200%;
  left: -100%;
  background-image: linear-gradient(
    90deg,
    var(--theme-blue-primary) 0%,
    var(--theme-purple-primary) 12.5%,
    var(--theme-orange-primary) 25%,
    var(--theme-green-primary) 37.5%,
    var(--theme-blue-primary) 50%,
    var(--theme-purple-primary) 62.5%,
    var(--theme-orange-primary) 75%,
    var(--theme-green-primary) 87.5%,
    var(--theme-blue-primary) 100%
  );
  height: 4px;
  box-shadow: 0 0.1rem 0.333rem var(--black-alpha-25);
  animation-name: is-loading;
  animation-duration: 1.5s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
